com.sun.grid.jgdi.management.mbeans

## Interface JGDIJMXBaseMBean

- All Known Subinterfaces:
    JGDIJMXMBean
  All Known Implementing Classes:
    JGDIJMX, JGDIJMXBase

      public interface JGDIJMXBaseMBean

  Interface JGDIJMXBaseMBean

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cleanQueues(java.lang.String[] queues)`
    `void` | `cleanQueuesWithAnswer(java.lang.String[] queues, java.util.List<JGDIAnswer> answers)`
    `void` | `clearJobs(java.lang.String[] jobs, boolean force)`
    `void` | `clearJobsWithAnswer(java.lang.String[] jobs, boolean force, java.util.List<JGDIAnswer> answers)`
    `void` | `clearQueues(java.lang.String[] queues, boolean force)`
    `void` | `clearQueuesWithAnswer(java.lang.String[] queues, boolean force, java.util.List<JGDIAnswer> answers)`
    `void` | `clearShareTreeUsage()`
    `void` | `clearShareTreeUsageWithAnswer(java.util.List<JGDIAnswer> answers)`
    `void` | `close()` Close the jgdi session
    `void` | `deleteShareTree()`
    `void` | `deleteShareTreeWithAnswer(java.util.List<JGDIAnswer> answers)`
    `void` | `disableQueues(java.lang.String[] queues, boolean force)`
    `void` | `disableQueuesWithAnswer(java.lang.String[] queues, boolean force, java.util.List<JGDIAnswer> answers)`
    `void` | `enableQueues(java.lang.String[] queues, boolean force)`
    `void` | `enableQueuesWithAnswer(java.lang.String[] queues, boolean force, java.util.List<JGDIAnswer> answers)`
    `QHostResult` | `execQHost(QHostOptions options)`
    `java.lang.String` | `getActQMaster()`
    `java.lang.String` | `getAdminUser()`
    `java.util.List<ClusterQueueSummary>` | `getClusterQueueSummary(ClusterQueueSummaryOptions options)`
    `java.lang.String` | `getCurrentJGDIVersion()`
    `QQuotaResult` | `getQQuota(QQuotaOptions options)`
    `QueueInstanceSummaryResult` | `getQueueInstanceSummary(QueueInstanceSummaryOptions options)`
    `java.util.List<ExecHost>` | `getRealExecHostList()`
    `java.lang.String` | `getSchedulerHost()`
    `java.lang.String` | `getSGECell()`
    `int` | `getSgeExecdPort()`
    `int` | `getSgeQmasterPort()`
    `java.io.File` | `getSGERoot()`
    `java.util.Set<EventTypeEnum>` | `getSubscription()` Get the current event subscription.
    `void` | `killAllEventClients()`
    `void` | `killAllEventClientsWithAnswer(java.util.List<JGDIAnswer> answers)`
    `void` | `killAllExecds(boolean terminateJobs)`
    `void` | `killAllExecdsWithAnswer(boolean terminateJobs, java.util.List<JGDIAnswer> answers)`
    `void` | `killEventClients(int[] ids)`
    `void` | `killEventClientsWithAnswer(int[] ids, java.util.List<JGDIAnswer> answers)`
    `void` | `killExecd(java.lang.String[] hosts, boolean terminateJobs)`
    `void` | `killExecdWithAnswer(java.lang.String[] hosts, boolean terminateJobs, java.util.List<JGDIAnswer> answers)`
    `void` | `killMaster()`
    `void` | `killMasterWithAnswer(java.util.List<JGDIAnswer> answers)`
    `void` | `killScheduler()`
    `void` | `killSchedulerWithAnswer(java.util.List<JGDIAnswer> answers)`
    `ClusterQueueSummaryOptions` | `newClusterQueueSummaryOptions()`
    `QHostOptions` | `newQHostOptions()`
    `QQuotaOptions` | `newQQuotaOptions()`
    `QueueInstanceSummaryOptions` | `newQueueInstanceSummaryOptions()`
    `void` | `reschedule(java.lang.String[] queue_or_job, boolean force)`
    `void` | `rescheduleJobs(java.lang.String[] jobs, boolean force)`
    `void` | `rescheduleJobsWithAnswer(java.lang.String[] jobs, boolean force, java.util.List<JGDIAnswer> answers)`
    `void` | `rescheduleQueues(java.lang.String[] queues, boolean force)`
    `void` | `rescheduleQueuesWithAnswer(java.lang.String[] queues, boolean force, java.util.List<JGDIAnswer> answers)`
    `void` | `rescheduleWithAnswer(java.lang.String[] queue_or_job, boolean force, java.util.List<JGDIAnswer> answers)`
    `void` | `setSubscription(java.util.Set<EventTypeEnum> eventTypeSet)` Set the current event subscription.
    `java.lang.String` | `showDetachedSettings(java.lang.String[] queues)`
    `java.lang.String` | `showDetachedSettingsAll()`
    `void` | `startScheduler()`
    `void` | `startSchedulerWithAnswer(java.util.List<JGDIAnswer> answers)`
    `void` | `subscribe(java.util.Set<EventTypeEnum> eventTypeSet)` Subscribe a set of event types if they are not already subscribed.
    `void` | `suspend(java.lang.String[] queues, boolean force)`
    `void` | `suspendJobs(java.lang.String[] jobs, boolean force)`
    `void` | `suspendJobsWithAnswer(java.lang.String[] jobs, boolean force, java.util.List<JGDIAnswer> answers)`
    `void` | `suspendQueues(java.lang.String[] queues, boolean force)`
    `void` | `suspendQueuesWithAnswer(java.lang.String[] queues, boolean force, java.util.List<JGDIAnswer> answers)`
    `void` | `suspendWithAnswer(java.lang.String[] queues, boolean force, java.util.List<JGDIAnswer> answers)`
    `void` | `triggerSchedulerMonitoring()`
    `void` | `triggerSchedulerMonitoringWithAnswer(java.util.List<JGDIAnswer> answers)`
    `void` | `unsubscribe(java.util.Set<EventTypeEnum> eventTypeSet)` Unsubcribe a set of event types if the are not already unsubscribed.
    `void` | `unsuspend(java.lang.String[] queues, boolean force)`
    `void` | `unsuspendJobs(java.lang.String[] jobs, boolean force)`
    `void` | `unsuspendJobsWithAnswer(java.lang.String[] jobs, boolean force, java.util.List<JGDIAnswer> answers)`
    `void` | `unsuspendQueues(java.lang.String[] queues, boolean force)`
    `void` | `unsuspendQueuesWithAnswer(java.lang.String[] queues, boolean force, java.util.List<JGDIAnswer> answers)`
    `void` | `unsuspendWithAnswer(java.lang.String[] queues, boolean force, java.util.List<JGDIAnswer> answers)`

- - ### Method Detail

    - #### getCurrentJGDIVersion

          java.lang.String getCurrentJGDIVersion()
                                          throws JGDIException

      Throws:
        `JGDIException`

    - #### close

          void close()

      Close the jgdi session

    - #### subscribe

          void subscribe(java.util.Set<EventTypeEnum> eventTypeSet)
                  throws JGDIException

      Subscribe a set of event types if they are not already subscribed.
      Parameters:
        `eventTypeSet` - set of event types
      Throws:
        `JGDIException`

    - #### unsubscribe

          void unsubscribe(java.util.Set<EventTypeEnum> eventTypeSet)
                    throws JGDIException

      Unsubcribe a set of event types if the are not already unsubscribed.
      Parameters:
        `eventTypeSet` - set of event type which should be unsubcribed
      Throws:
        `JGDIException`

    - #### getSubscription

          java.util.Set<EventTypeEnum> getSubscription()
                                                throws JGDIException

      Get the current event subscription.
      Returns:
        set of event types which are currently subscribed
      Throws:
        `JGDIException`

    - #### setSubscription

          void setSubscription(java.util.Set<EventTypeEnum> eventTypeSet)
                        throws JGDIException

      Set the current event subscription.
      Parameters:
        `eventTypeSet` - the set of event types to subscribe
      Throws:
        `JGDIException`

    - #### getAdminUser

          java.lang.String getAdminUser()
                                 throws JGDIException

      Throws:
        `JGDIException`

    - #### getSGERoot

          java.io.File getSGERoot()
                           throws JGDIException

      Throws:
        `JGDIException`

    - #### getSGECell

          java.lang.String getSGECell()
                               throws JGDIException

      Throws:
        `JGDIException`

    - #### getActQMaster

          java.lang.String getActQMaster()
                                  throws JGDIException

      Throws:
        `JGDIException`

    - #### getSgeQmasterPort

          int getSgeQmasterPort()
                         throws JGDIException

      Throws:
        `JGDIException`

    - #### getSgeExecdPort

          int getSgeExecdPort()
                       throws JGDIException

      Throws:
        `JGDIException`

    - #### getRealExecHostList

          java.util.List<ExecHost> getRealExecHostList()
                                                throws JGDIException

      Throws:
        `JGDIException`

    - #### newQHostOptions

          QHostOptions newQHostOptions()
                                throws JGDIException

      Throws:
        `JGDIException`

    - #### newClusterQueueSummaryOptions

          ClusterQueueSummaryOptions newClusterQueueSummaryOptions()
                                                            throws JGDIException

      Throws:
        `JGDIException`

    - #### newQueueInstanceSummaryOptions

          QueueInstanceSummaryOptions newQueueInstanceSummaryOptions()
                                                              throws JGDIException

      Throws:
        `JGDIException`

    - #### newQQuotaOptions

          QQuotaOptions newQQuotaOptions()
                                  throws JGDIException

      Throws:
        `JGDIException`

    - #### execQHost

          QHostResult execQHost(QHostOptions options)
                         throws JGDIException

      Throws:
        `JGDIException`

    - #### getClusterQueueSummary

          java.util.List<ClusterQueueSummary> getClusterQueueSummary(ClusterQueueSummaryOptions options)
                                                              throws JGDIException

      Throws:
        `JGDIException`

    - #### getQueueInstanceSummary

          QueueInstanceSummaryResult getQueueInstanceSummary(QueueInstanceSummaryOptions options)
                                                      throws JGDIException

      Throws:
        `JGDIException`

    - #### getQQuota

          QQuotaResult getQQuota(QQuotaOptions options)
                          throws JGDIException

      Throws:
        `JGDIException`

    - #### clearShareTreeUsage

          void clearShareTreeUsage()
                            throws JGDIException

      Throws:
        `JGDIException`

    - #### clearShareTreeUsageWithAnswer

          void clearShareTreeUsageWithAnswer(java.util.List<JGDIAnswer> answers)
                                      throws JGDIException

      Throws:
        `JGDIException`

    - #### cleanQueues

          void cleanQueues(java.lang.String[] queues)
                    throws JGDIException

      Throws:
        `JGDIException`

    - #### cleanQueuesWithAnswer

          void cleanQueuesWithAnswer(java.lang.String[] queues,
                                     java.util.List<JGDIAnswer> answers)
                              throws JGDIException

      Throws:
        `JGDIException`

    - #### killMaster

          void killMaster()
                   throws JGDIException

      Throws:
        `JGDIException`

    - #### killMasterWithAnswer

          void killMasterWithAnswer(java.util.List<JGDIAnswer> answers)
                             throws JGDIException

      Throws:
        `JGDIException`

    - #### killScheduler

          void killScheduler()
                      throws JGDIException

      Throws:
        `JGDIException`

    - #### killSchedulerWithAnswer

          void killSchedulerWithAnswer(java.util.List<JGDIAnswer> answers)
                                throws JGDIException

      Throws:
        `JGDIException`

    - #### startScheduler

          void startScheduler()
                       throws JGDIException

      Throws:
        `JGDIException`

    - #### startSchedulerWithAnswer

          void startSchedulerWithAnswer(java.util.List<JGDIAnswer> answers)
                                 throws JGDIException

      Throws:
        `JGDIException`

    - #### killExecd

          void killExecd(java.lang.String[] hosts,
                         boolean terminateJobs)
                  throws JGDIException

      Throws:
        `JGDIException`

    - #### killExecdWithAnswer

          void killExecdWithAnswer(java.lang.String[] hosts,
                                   boolean terminateJobs,
                                   java.util.List<JGDIAnswer> answers)
                            throws JGDIException

      Throws:
        `JGDIException`

    - #### killAllExecds

          void killAllExecds(boolean terminateJobs)
                      throws JGDIException

      Throws:
        `JGDIException`

    - #### killAllExecdsWithAnswer

          void killAllExecdsWithAnswer(boolean terminateJobs,
                                       java.util.List<JGDIAnswer> answers)
                                throws JGDIException

      Throws:
        `JGDIException`

    - #### killEventClients

          void killEventClients(int[] ids)
                         throws JGDIException

      Throws:
        `JGDIException`

    - #### killEventClientsWithAnswer

          void killEventClientsWithAnswer(int[] ids,
                                          java.util.List<JGDIAnswer> answers)
                                   throws JGDIException

      Throws:
        `JGDIException`

    - #### killAllEventClients

          void killAllEventClients()
                            throws JGDIException

      Throws:
        `JGDIException`

    - #### killAllEventClientsWithAnswer

          void killAllEventClientsWithAnswer(java.util.List<JGDIAnswer> answers)
                                      throws JGDIException

      Throws:
        `JGDIException`

    - #### triggerSchedulerMonitoring

          void triggerSchedulerMonitoring()
                                   throws JGDIException

      Throws:
        `JGDIException`

    - #### triggerSchedulerMonitoringWithAnswer

          void triggerSchedulerMonitoringWithAnswer(java.util.List<JGDIAnswer> answers)
                                             throws JGDIException

      Throws:
        `JGDIException`

    - #### getSchedulerHost

          java.lang.String getSchedulerHost()
                                     throws JGDIException

      Throws:
        `JGDIException`

    - #### enableQueues

          void enableQueues(java.lang.String[] queues,
                            boolean force)
                     throws JGDIException

      Throws:
        `JGDIException`

    - #### enableQueuesWithAnswer

          void enableQueuesWithAnswer(java.lang.String[] queues,
                                      boolean force,
                                      java.util.List<JGDIAnswer> answers)
                               throws JGDIException

      Throws:
        `JGDIException`

    - #### disableQueues

          void disableQueues(java.lang.String[] queues,
                             boolean force)
                      throws JGDIException

      Throws:
        `JGDIException`

    - #### disableQueuesWithAnswer

          void disableQueuesWithAnswer(java.lang.String[] queues,
                                       boolean force,
                                       java.util.List<JGDIAnswer> answers)
                                throws JGDIException

      Throws:
        `JGDIException`

    - #### suspend

          void suspend(java.lang.String[] queues,
                       boolean force)
                throws JGDIException

      Throws:
        `JGDIException`

    - #### suspendWithAnswer

          void suspendWithAnswer(java.lang.String[] queues,
                                 boolean force,
                                 java.util.List<JGDIAnswer> answers)
                          throws JGDIException

      Throws:
        `JGDIException`

    - #### suspendQueues

          void suspendQueues(java.lang.String[] queues,
                             boolean force)
                      throws JGDIException

      Throws:
        `JGDIException`

    - #### suspendQueuesWithAnswer

          void suspendQueuesWithAnswer(java.lang.String[] queues,
                                       boolean force,
                                       java.util.List<JGDIAnswer> answers)
                                throws JGDIException

      Throws:
        `JGDIException`

    - #### suspendJobs

          void suspendJobs(java.lang.String[] jobs,
                           boolean force)
                    throws JGDIException

      Throws:
        `JGDIException`

    - #### suspendJobsWithAnswer

          void suspendJobsWithAnswer(java.lang.String[] jobs,
                                     boolean force,
                                     java.util.List<JGDIAnswer> answers)
                              throws JGDIException

      Throws:
        `JGDIException`

    - #### unsuspend

          void unsuspend(java.lang.String[] queues,
                         boolean force)
                  throws JGDIException

      Throws:
        `JGDIException`

    - #### unsuspendWithAnswer

          void unsuspendWithAnswer(java.lang.String[] queues,
                                   boolean force,
                                   java.util.List<JGDIAnswer> answers)
                            throws JGDIException

      Throws:
        `JGDIException`

    - #### unsuspendQueues

          void unsuspendQueues(java.lang.String[] queues,
                               boolean force)
                        throws JGDIException

      Throws:
        `JGDIException`

    - #### unsuspendQueuesWithAnswer

          void unsuspendQueuesWithAnswer(java.lang.String[] queues,
                                         boolean force,
                                         java.util.List<JGDIAnswer> answers)
                                  throws JGDIException

      Throws:
        `JGDIException`

    - #### unsuspendJobs

          void unsuspendJobs(java.lang.String[] jobs,
                             boolean force)
                      throws JGDIException

      Throws:
        `JGDIException`

    - #### unsuspendJobsWithAnswer

          void unsuspendJobsWithAnswer(java.lang.String[] jobs,
                                       boolean force,
                                       java.util.List<JGDIAnswer> answers)
                                throws JGDIException

      Throws:
        `JGDIException`

    - #### clearQueues

          void clearQueues(java.lang.String[] queues,
                           boolean force)
                    throws JGDIException

      Throws:
        `JGDIException`

    - #### clearQueuesWithAnswer

          void clearQueuesWithAnswer(java.lang.String[] queues,
                                     boolean force,
                                     java.util.List<JGDIAnswer> answers)
                              throws JGDIException

      Throws:
        `JGDIException`

    - #### clearJobs

          void clearJobs(java.lang.String[] jobs,
                         boolean force)
                  throws JGDIException

      Throws:
        `JGDIException`

    - #### clearJobsWithAnswer

          void clearJobsWithAnswer(java.lang.String[] jobs,
                                   boolean force,
                                   java.util.List<JGDIAnswer> answers)
                            throws JGDIException

      Throws:
        `JGDIException`

    - #### reschedule

          void reschedule(java.lang.String[] queue_or_job,
                          boolean force)
                   throws JGDIException

      Throws:
        `JGDIException`

    - #### rescheduleWithAnswer

          void rescheduleWithAnswer(java.lang.String[] queue_or_job,
                                    boolean force,
                                    java.util.List<JGDIAnswer> answers)
                             throws JGDIException

      Throws:
        `JGDIException`

    - #### rescheduleQueues

          void rescheduleQueues(java.lang.String[] queues,
                                boolean force)
                         throws JGDIException

      Throws:
        `JGDIException`

    - #### rescheduleQueuesWithAnswer

          void rescheduleQueuesWithAnswer(java.lang.String[] queues,
                                          boolean force,
                                          java.util.List<JGDIAnswer> answers)
                                   throws JGDIException

      Throws:
        `JGDIException`

    - #### rescheduleJobs

          void rescheduleJobs(java.lang.String[] jobs,
                              boolean force)
                       throws JGDIException

      Throws:
        `JGDIException`

    - #### rescheduleJobsWithAnswer

          void rescheduleJobsWithAnswer(java.lang.String[] jobs,
                                        boolean force,
                                        java.util.List<JGDIAnswer> answers)
                                 throws JGDIException

      Throws:
        `JGDIException`

    - #### showDetachedSettings

          java.lang.String showDetachedSettings(java.lang.String[] queues)
                                         throws JGDIException

      Throws:
        `JGDIException`

    - #### showDetachedSettingsAll

          java.lang.String showDetachedSettingsAll()
                                            throws JGDIException

      Throws:
        `JGDIException`

    - #### deleteShareTree

          void deleteShareTree()
                        throws JGDIException

      Throws:
        `JGDIException`

    - #### deleteShareTreeWithAnswer

          void deleteShareTreeWithAnswer(java.util.List<JGDIAnswer> answers)
                                  throws JGDIException

      Throws:
        `JGDIException`

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.